Subject: Re: [PATCH 0/4] remote-hg: more improvements

From: Junio C Hamano <[email-masked]>
Date: Mon, 12 May 2014 13:40:02 -0700

Felipe Contreras <[email-masked]> writes:

> Junio C Hamano wrote:
> ...
>> I was originally led to believe that its code quality was good
>> enough, and that was why I merged the bottom three patches of the
>> series even down to 'next' in the first place.  But after seeing the
>> "Of course" response that led to [*1*], which made me recall many
>> patch-review interactions with him, I have started to have doubts.
>
> This is bullshit, and a wrong direction fallacy.
>
> Event #1:
> Junio rejects the graduation
> http://article.gmane.org/gmane.comp.version-control.git/248263
>
> Event #2:
> I give up improving remote helpers in git.git
> http://thread.gmane.org/gmane.comp.version-control.git/248063/focus=248341
>
> Junio is trying to make you believe that his decision (#1) was caused by
> something I did (#2). Don't fall into that trap, #2 happened *AFTER* #1,
> it can't possibly be the cause.

I think you misunderstood.

I never said that I do not want it to graduate up (out is an option)
based on code quality.  In fact, I do not think anybody discussed
about code quality until this morning.

But because I was asked, I thought about it, and then answered
honestly.  I do not know what a trap you perceive is about, and I am
not interested in your responses.